#pragma once

#include "shapeex.h"


class SHPSET_API CTwinkleShape :	public CShapeEx
{
public:
	CTwinkleShape(void);
	virtual ~CTwinkleShape(void);

	virtual BOOL Serialize(HANDLE device, BOOL bIn ) ;

	virtual void Show(CDelegate* pDelegate, int mode, BOOL bForced);	
	virtual CUCObj* Clone(  CUCObj *twin);

	//动感三元组
	//Generic Procedure: Activate -> Beat
	//
	virtual void Beat();
	virtual void Activate() ;
	virtual void Deactivate() ;

public:
	//单位：毫秒
	int m_nTimeOn;
	int m_nTimeOff;

private:
	 //无需保存
	DWORD m_nStartTime;
};

